#include <stdio.h>

int main(){
int N, Q;
printf("Unesi N(broj puta koji je otac nasao plazmu): ");
scanf("%d", &N);
printf("Unesi Q(broj pitanja): ");
scanf("%d", &Q);
int t=0;
long long int d[N];
long long int p[N];
long long int o=0;
long long int br=0;
long long int s=0;
long long int k[Q];
for(int i = 0; i < N; i++){
    printf("Unesi d[%d] (i-ti dan kada je otac pronasao plazmu): ", i+1);
    scanf("%lld", &d[i]);
    printf("Unesi p[%d] (broj pakovanja koji je otac kupio tog dana): ", i+1);
    scanf("%lld", &p[i]);
}
for (int j = 0;j<Q;j++){
    printf("Unesi k[%d] (Dane kada cerka prestaje da jede plazmu): ", j+1);
    scanf("%lld", &k[j]);
}
for(int j =0; j<Q;j++){
    for(int i =0; i<N;i++){
    br=0;
   while(d[i]<=k[j]+o && br<p[i]){
   br++;
   d[i]++;
        t=i;
   }
   s=s+br;
   }
    if(p[t]>s && s!=0){
        o=p[t]-s;
    }
    else
        o=0;
    printf("%lld\n", s);
    s=0;
   }
return 0;
}